Migration from redmine_subtasks plugin

2010-12-08 14:01 - Dmitry Gurinenko

Status: Closed Start date: 2010-12-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.2

Description

После установки системы Redmine 1.0.2.stable (MySQL) и восстановления старой базы по всем инструкциям со страницы 

http://www.redmine.org/wiki/redmine/RedmineUpgrade есть проблемы с отображением некоторых страниц в проектах.

Processing IssuesController#index (for ip.add.re.ss at 2010-12-08 14:02:41) [GET]

  Parameters: {"project_id"=>"pt5", "set_filter"=>"1", "action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index.rhtml

ActionView::TemplateError (undefined method `-' for nil:NilClass) on line #16 of app/views/issues/

_list.rhtml:

13:     </tr></thead>

14:     <% previous_group = false %>

15:     <tbody>

16:     <% issue_list(issues) do |issue, level| -%>

17:   <% if @query.grouped? && (group = @query.group_by_column.value(issue)) != previous_group %>

18:     <% reset_cycle %>

19:     <tr class="group open">

    app/helpers/issues_helper.rb:28:in `issue_list'

    app/helpers/issues_helper.rb:23:in `each'

    app/helpers/issues_helper.rb:23:in `issue_list'

    app/views/issues/_list.rhtml:16:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_

list_object_query'

    app/views/issues/_list.rhtml:1:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_l

ist_object_query'

    app/views/issues/index.rhtml:63:in `_run_rhtml_app47views47issues47index46rhtml'

    app/controllers/issues_controller.rb:84:in `index'

    app/controllers/issues_controller.rb:83:in `index'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

 По поиску мне удалось понять, что проблема может быть из-за того, что на старой системе был установлен плагин 

redmine_subtasks. Сейчас его нет. Если я копирую старую папку этого плагина в vendor/plugins/ новой системы, то на

этапе rake db:migrate_plugins RAILS_ENV=production вылазит ошибка:

(in /var/www/redmine)

Migrating engines...

Migrating acts_as_activity_provider...

Migrating acts_as_attachable...

Migrating acts_as_customizable...
Migrating acts_as_event...

Migrating acts_as_list...

Migrating acts_as_searchable...

Migrating acts_as_tree...

Migrating acts_as_versioned...

Migrating acts_as_watchable...

Migrating awesome_nested_set...

Migrating classic_pagination...

Migrating coderay-0.9.2...

Migrating gravatar...

Migrating open_id_authentication...

Migrating prepend_engine_views...

Migrating redmine_subtasks...

==  AddQueriesViewOptions: migrating ==========================================

-- add_column(:queries, :view_options, :text)

rake aborted!

An error has occurred, all later migrations canceled:

Mysql::Error: Duplicate column name 'view_options': ALTER TABLE `queries` ADD `view_options` text

(See full trace by running task with --trace)

 Прошу помощи.

Related issues:

Is duplicate of Redmine - Patch #6035: Migration from redmine_subtasks to cor... Closed 2010-08-05

History

#1 - 2010-12-08 14:23 - Dmitry Gurinenko

After I install Redmine 1.0.2.stable (MySQL) and restore the old database to the instructions on page 

http://www.redmine.org/wiki/redmine/RedmineUpgrade I have a problem with displaying some pages in projects.

...

The problem may be due to the fact that the old system has installed plugin redmine_subtasks. Now it is not. If I copy the old folder of this plug-in

vendor/plugins/ folder of new system, then in step rake db: migrate_plugins RAILS_ENV = production climbs I have the error.

...

Help please.

#2 - 2010-12-08 19:59 - Jean-Philippe Lang

- Subject changed from Internal error - 500. to Migration from redmine_subtasks plugin

#3 - 2010-12-15 23:04 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Duplicate

Look at #6035, there are some ideas and patches you could try about that. Note that this has also been discussed a lot in other issues where people

had a somehow corrupted database after using this plugin and upgrading: #5907, #5874, #5964, etc.

I close this issue as duplicate but encourage you to give a feedback or complete #6035.
